编程论坛

 找回密码
 立即注册
广告联系qq1031180668广告位
查看: 147|回复: 0

[python] python Scrapy模块的安装

[复制链接]

963

主题

1684

帖子

3257

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
3257

最佳新人活跃会员热心会员推广达人宣传达人灌水之王突出贡献优秀版主荣誉管理论坛元老

发表于 2018-5-27 18:07:13 | 显示全部楼层 |阅读模式
windows系统在已经安装了python解释器的情况下可以直接在cmd窗口运行:
[Python] syntaxhighlighter_viewsource syntaxhighlighter_copycode
pip install scrapy

进行在线安装。


如果安装过程中出现

python Scrapy模块的安装

python Scrapy模块的安装

“error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools": http://landinghub.visualstudio.com/visual-cpp-build-tools




这时候需要打开网址
http://www.lfd.uci.edu/~gohlke/pythonlibs/#twisted
下载twisted对应版本的whl文件(如我的Twisted‑17.5.0‑cp36‑cp36m‑win_amd64.whl)

下载之后运行命令:
[Python] syntaxhighlighter_viewsource syntaxhighlighter_copycode
运行命令:pip install C:\Users\CR\Downloads\Twisted-17.5.0-cp36-cp36m-win_amd64.whl

python Scrapy模块的安装

python Scrapy模块的安装

这个安装完成之后再通过
[Python] syntaxhighlighter_viewsource syntaxhighlighter_copycode
pip install scrapy

安装即可。

python Scrapy模块的安装

python Scrapy模块的安装

不积跬步,无以至千里
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

手机版|Archiver|小黑屋|sitemap|编程论坛 - 一个单纯的编程学习交流论坛 ( 豫ICP备15032706号 )

GMT+8, 2018-8-16 14:45 , Processed in 1.113768 second(s), 26 queries .

Powered by Discuz! X3.4

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表